
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>交互设计:探讨内容和容器的关系 / iVAN</title>

    <meta name="description" content="交互设计:探讨内容和容器的关系 今天想说的是内容和容器的关系,顺便把之前设计中碰到的问题和大家一起探讨下.我们从软件的设置说起.(这里以QQ的设置举例) 一个软件的设置(常称为系统设置)一般承载了软件所有的可配置选项.通过导航,把内容放置在不同的选项卡下面. 由于内容的划分是根据产品功能的逻辑划分,所以设计中经常碰到的问题就是:不同选项卡下面的内容多少不确定,对排版会带来很大麻烦. 正常情况如下图,&quot;启动和登录&quot;内容填充了大部分版面,设置界面看上去很充实. 但有的选项卡下面的内容很少,整个界面就一两行字,大 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">交互设计:探讨内容和容器的关系</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDYyNTIzMzQ1Njk5OS5qcGc=.jpg"></p>
<p>　　今天想说的是内容和容器的关系，顺便把之前设计中碰到的问题和大家一起探讨下。我们从软件的设置说起。（这里以QQ的设置举例）</p>
<p>　　一个软件的设置（常称为系统设置）一般承载了软件所有的可配置选项。通过导航，把内容放置在不同的选项卡下面。</p>
<p>　　由于内容的划分是根据产品功能的逻辑划分，所以设计中经常碰到的问题就是：不同选项卡下面的内容多少不确定，对排版会带来很大麻烦。</p>
<p>　　正常情况如下图，“启动和登录”内容填充了大部分版面，设置界面看上去很充实。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDYyNTIzMzQ1NzM0Mi5qcGc=.jpg"></p>
<p>　　但有的选项卡下面的内容很少，整个界面就一两行字，大片都是空白。由于内容和留白的比例失衡而导致一定的视觉问题（下图是我自己P的：）</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDYyNTIzMzQ1Nzg0My5qcGc=.jpg"></p>
<p>　　又或者，有的选项卡下面的内容超出了界面的高度… 即使短时间内没发生这个问题，随着产品功能的调整，可配置项越来越多，就会产生问题。</p>
<p>　　下图消息提醒的设置，如果我再想加一行内容，就必须在已有内容上减少一行。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDYyNTIzMzQ1ODcwMi5qcGc=.jpg"></p>
<p>　　之前做排版的时候，一直对这个问题很头痛。内容过少时，会设法增加内容或者视觉元素，以求视觉上的平衡；内容过多时，会调整目录结构，把一个菜单项拆成两项，或者反复排版，把内容尽可能压缩在一页里排下。</p>
<p>　　但是这样又引入了新的问题：</p>
<p>　　无端增加视觉元素并不是用户需要的</p>
<p>　　为了把多出来的内容放到设置界面里，有时候不得不根据内容的多寡来划分菜单项，而不是单纯的根据逻辑关系</p>
<p>　　不可持续（产品需求的变更很有可能导致之前做好的排版又要改）</p>
<p>　　然后我想到了工业设计中经常被提到的一句话：形式追随功能(form follows function)。这句话对学设计的同学来说应该不陌生了，最早由建筑师沙利文提出，后来成为包豪斯最重要的主张之一。说这句话对整个设计界都产生了深远的影响也不为过。因为它是如此的出名，并且容易引发“究竟是形式重要还是功能重要”的争议，所以这里只以“形式追随内容”为题，不敢把话题扯得这么大。</p>
<p>　　其实已经有设计把我上面提到的这个问题解决了。对，答案就是苹果的系统设置界面。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDYyNTIzMzQ1OTQ1NS5qcGc=.jpg"></p>
<p>　　Windows环境的同学可以装safari for PC，看它的偏好设置。这里我截了“通用”和“自动填充”两个界面，如下图</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDYyNTIzMzQ1OTMyMi5qcGc=.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDYyNTIzMzUwMjAyLmpwZw==.jpg"></p>
<p>　　Safari每个选项卡下面内容都不一样，最多的十几行，最少的只有3行，而界面的高度会自适应内容的高度！</p>
<p>　　在不同tab下切换时，Safari的偏好设置会平滑地切换界面高度，完美的解决了我刚才提出的问题。我想这就是形式追随内容了。</p>
<p>　　这样在界面设计过程中，设计师可以不用考虑内容是否放得下，界面是否美观这些问题，把内容以最合理的方式展现出来。</p>
<p>　　我始终认为，一个好的设计，在设计之外，应该能够同时把设计师解放出来，不再做重复的设计。</p>
<p>　　其实苹果界面的设计思想，从没有最大化就可见一斑了。窗口的左上角的红绿灯，红色是关闭；黄色是最小化；至于绿色的+号，只是把窗口调成最合适的大小（有时候合适的大小就是最大化）。Safari for PC把这种设计思想也带到了PC上来，设计出了高度随内容而变化的偏好设置界面。</p>
<p>　　之前提出的问题是解决了，不过如果真的是形式追随内容的话，那界面的宽度呢？宽度是不是也能（应该）追随内容？</p>
<p>　　高度和宽度同时变化以适应内容，会不会让用户失去对界面的掌控感？</p>
<p>　　依然是PC平台上的例子。装了win7的同学可以试试系统自带的计算器，有4种模式可以选择，“标准型”，“科学型”，“程序员”，“统计信息”。4个模式下，界面的高度和宽度都是不同的。在切换模式时，计算器界面以左上角为基点在不断地切换大小，没有发现明显的体验问题。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDYyNTIzMzUxNzIyLmpwZw==.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDYyNTIzMzUyMzIwLmpwZw==.jpg"></p>
<p>　　左上角这个基点，对于“形式追随内容”至关重要，如下图所示。因为这个基点周围区域的内容是不会随界面的改变而产生位移的。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMDYyNTIzMzUyNDgwLmpwZw==.jpg"></p>
<p>　　Win7计算器的标题和菜单的位置就不会因为界面尺寸的变化而产生位移，从而保持了界面变化过程中的稳定感。美中不足的是最小化/最大化/关闭按钮的位置会改变。（所以苹果把红绿灯放在界面的左上角？）</p>
<p>　　而safari的偏好设置因为导航占据了顶行，所以没有做宽度变化适应内容。</p>
<p>　　想说的大概就这些，感兴趣的同学可以再对比下win7的系统设置，有些细节的地方设计得很有意思。</p>
<p>　　不只是客户端，在web程序中，我们的思维是不是可以不要局限在在当前页面或者新tab打开？弹出新窗口，让窗口适应内容大小会不会更好？</p>
<p>　　这篇文章不想就形式和功能孰轻孰重展开讨论，只是把自己实际在工作中碰到的问题和一些思路和大家探讨。最后给各位耐心看完的同学拜个晚年！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:57:36</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%97%ae%e9%a2%98/" title="问题">问题</a>, <a href="https://www.iamivan.net/tag/%e7%95%8c%e9%9d%a2/" title="界面">界面</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ae%b9/" title="内容">内容</a>, <a href="https://www.iamivan.net/tag/%e8%ae%be%e8%ae%a1/" title="设计">设计</a>, <a href="https://www.iamivan.net/tag/%e9%ab%98%e5%ba%a6/" title="高度">高度</a>, <a href="https://www.iamivan.net/tag/%e5%bd%a2%e5%bc%8f/" title="形式">形式</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>交互设计:探讨内容和容器的关系的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGvvop.html" rel="bookmark">交互设计理论：有关内容和容器的关系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学习了死猫的文章,我今天也来说说有关内容和容器的关系. 看标题你也许觉得有些囧,它和上一篇&lt;形式追随内容?&gt;看起来相反,而且好像从交互设计的角度看也是很不专业的一个观点,这有点像是我搬起石头砸自己的脚或是死猫的脚-- 不过不幸我是一只友爱并且怕疼的企鹅,所以事实上是这样的: 我们可以把形式追随内容定义为一个对默认界面的可用性建议,它可以适用于当用户进入一个界面时所看到的情况.不过,我们也知道,用户不是木头人,他们所处的环境也不总是某个理想状态,QQ在线用户数已经超过了一个亿,而那个谁谁谁也曾经			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJ9A2p.html" rel="bookmark">交互设计探讨&colon;设计合理的明确的操作入口</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;操作入口明确&quot;,就是指产品的任何一个功能都要有明确.合理的入口.&quot;操作入口&quot;,指的是产品内部不同模块之间的转接元素,例如在Web产品中,按钮控件.输入框.文字链等都属于操作入口:&quot;明确&quot;指的是入口的视觉感是清晰的.可识别的:&quot;合理&quot;是指入口的出现是符合用户操作逻辑的,适时的. 之所以要提出&quot;操作入口明确&quot;,是因为用户在使用产品的过程中,往往遵循的是可分析的行为逻辑.对于产品本身而言,必须有相对应的操作提示			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVnB4kz.html" rel="bookmark">全屏弹出广告交互设计探讨</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.广告类型及使用场景 图片JPG或者GIF,屏位高,面积大的广告必须考虑页面加载广告后的流畅程度. 用于大型活动推广,频率控制在一季度或一年度一次为宜. 二.设计目标 1.效果好!尽量让茶坊用户都注意到这个活动. 2.干扰小!把对此活动不感兴趣的用户的干扰降到最小. 三.设计要点 1.什么屏位最恰当? 2.是否可以遮挡内容? 绝对不可以! 这就是为什么取消背投而采用其他广告来替代的原因,背投广告(闪屏广告)很受客户青睐的原因是,客户觉得效果好,但是他们基于强迫用户的基础上. 从点击数据来看,这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgJN6Bb.html" rel="bookmark">首页大屏广告交互设计探讨</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.使用场景 用于大型活动推广,频率控制在一季度或一年度一次为宜. 二.设计目标 1.效果好!尽量让每位用户都注意到这个活动.2.干扰小!把对活动不感兴趣的用户的干扰降到最小. 三.设计要点 1.是否要遮盖网站内容? 不要遮盖.从我们监测的历次大屏广告点击数据来看,广告的点击在首页总点击的占比分布在2% – 20%之间.这意味着:有至少80%以上的用户对活动并不感兴趣,他们中大部分是带着明确目的来网站使用特定产品的.如果http://www.aliyun.com/zixun/aggregatio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzD6RLM.html" rel="bookmark">交互设计探讨&colon;移动设备上的交互设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				但这篇文章所谈及的状况,并非仅限于&quot;Ipad&quot;,或者对&quot;qwerty&quot;键盘的改进,而实际上体现了Apple在触屏这种人机界面下的全新的交互模式探索.针对不同的功能域,对输入手段进行针对性的调整优化,这只是其中的一个重要设计原则.这个原则在Ipad和Iphone上都有集中体现.比如,进入Gmail的首页,焦点切入账号域,则键盘布局中,自动出现@号:焦点切入地址栏,则键盘布局中自动出现.com.这种&quot;智能化&quot;的自动调整,大大降低了用户的输入成本,以及			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVlABM.html" rel="bookmark">交互设计探讨&colon;网站导航标签要明晰有效</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				导航标签彼此互斥.完全穷尽. 导航标签其实就是一种文字表达形式,我们用标签来代表网站上的各种分类信息.比如&quot;联系我们&quot;这个标签,代表的内容通常会包括公司名称.电话.地址.邮箱等信息.它可以是文字,也可以是图片.在英文里被称作&quot;Label&quot;,并不同于我们常说的&quot;tag&quot;标签云图. 说简单一点,我们就是要为网站的信息做分类,并为它们起一个通俗易懂的名字.这其实是任何人都可以做的一件事情,所以在导航设计流程中,它的重要性也常常被忽略.在设计产品时,常会			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGVZnp.html" rel="bookmark">交互设计探讨&colon;为什么需要在新窗口打开网页</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于强制在新窗口打开链接的讨论 先看一下我们现有规则总结 在以下几种情况下,强制在新窗口打开链接是比较合适:1.链接指向一个本域名之外的网站:如友情链接一 般使用新窗口,新的网站新的窗口,基本上是可预料的.2.提供帮助类的链接:如一个购物页面上对支付方式的帮助说明可以新开窗口,如果内容不多的话使用弹出层比新窗口更好.3.页面跳转有可能打断一个正在进行的进程:如.关于网站的调查表单.在注册页面上指向免责条款.版权声明等页面的链接,页面跳转会导致用户正在填写的注册信息丢失.4.链接指向一个非HTML			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6vW3z.html" rel="bookmark">类O2O概念产品交互设计的体会和探讨</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开文估计少不了做一下概念的名词解释,我就引用下网络的解释吧,O2O(Online To Offline),将线下商务的机会与互联网结合在一起,让互联网成为线下交易的前台.线下服务就可以用线上来揽客,消费者可以用线上来筛选服务,可以在线成交结算.特点:推广效果可查,每笔交易可跟踪.这概念模式无形中给用户提供了更多的选择和便利,也给线下商务带来商机.O2O概念,包括衍生出来的新概念产物或许真如诸多互联网预测所说的会成为电商下一座金矿挖掘地吧-- 为什么要说是类O2O概念的产品呢?这里说的&quot;类&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M06Rdmz.html" rel="bookmark">类O2O概念产品交互设计的几点体会和探讨</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开文估计少不了做一下概念的名词解释,我就引用下网络的解释吧,O2O(Online To Offline), 将线下商务的机会与互联网结合在一起,让互联网成为线下交易的前台.线下服务就可以用线上来揽客,消费者可以用线上来筛选服务,可以在线成交结算.特点:推广效果可查,每笔交易可跟踪.这概念模式无形中给用户提供了更多的选择和便利,也给线下商务带来商机.O2O概念,包括衍生出来的新概念产物或许真如诸多互联网预测所说的会成为电商下一座金矿挖掘地吧-- 为什么要说是类O2O概念的产品呢?这里说的&quot;类&qu			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0gAbD.html" rel="bookmark" class="title">路由器怎么与路由器连接</a>
					<div>
						  一些网友提问到路由器怎么与路由器连接,怎么样设置才能正常的使用呢?下面就来和大家讲解下如何操作. 现在正式开始讲路由器连接路由器的两种方式.两台路由器的各自的ip设置方法和步骤. 一些家庭或者是某 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpka0Ob.html" rel="bookmark" class="title">错误80004005信息处理方法</a>
					<div>
						错误 1.错误信息(错误信息我不用翻译成中文了把,呵呵,大家谅解)Microsoft OLE DB Provider for ODBC Drivers error '80004005'[Microso ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVllnM.html" rel="bookmark" class="title">交互设计&colon;电子商务网站的打分模式设计心得</a>
					<div>
						所谓&quot;评论&quot;不是必须得有文本框,用户录入提交数据才算,广义上的评论包括用户的任何&quot;表态&quot;,典型如打分.我接触电子商务时间并不长,最早应该是04年在ebay上购物 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQJEZM.html" rel="bookmark" class="title">浅谈如何解决百度蜘蛛不访问网站</a>
					<div>
						百度今天凌晨更新了,祁多多博客关键词排名和收录没有什么变化,电商圈还持续一段时间在百度2,3页各占一个位置,外链倒是一下子放出了1000 多.唯一郁闷的还是百度的快照没有更新,site一下首页也没有降 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PBwJM.html" rel="bookmark" class="title">创建根与干</a>
					<div>
						若编译和运行PerfectTime.java,即使rmiregistry正确运行,它也无法工作.这是由于RMI的框架尚未就位.首先必须创建根和干,以便提供网络连接操作,并使我们将远程对象伪装成自己机器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPwAoz.html" rel="bookmark" class="title">Delphi源程序格式书写规范&lpar;三&rpar;</a>
					<div>
						3.8.2.5 Internet Tab csk TClientSocketssk TServerSocketwbd TWebDispatcherpp TPageProducertp TQueryTa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnyWQz.html" rel="bookmark" class="title">Linux系统共享库编程</a>
					<div>
						一.说明 类似Windows系统中的动态链接库,Linux中也有相应的共享库用以支持代码的复用.Windows中为*.dll,而Linux中为*.so.下面详细介绍如何创建.使用Linux的共享库.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j3JBb.html" rel="bookmark" class="title">支付宝账户登录名无法自主修改的解决方法</a>
					<div>
						用于登录支付宝账户的邮箱或手机号码不能使用,想更换支付宝账户登录名,请查看以下帮助内容: 一.登录名为邮箱: 1.进入帮助中心的自助服务大厅,点击[修改Email账户名]; 2.输入当前需要修改的支付 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1ne7z.html" rel="bookmark" class="title">Linux入门的一些基本知识整理</a>
					<div>
						  [图形模式与文字模式的切换方式] Linux预设提供了六个命令窗口终端机让我们来登录.默认我们登录的就是第一个窗口,也就是tty1,这个六个窗口分别为tty1,tty2 - tty6,你可以按下C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z420X8M.html" rel="bookmark" class="title">利用js正则表达式验证手机号&comma;email地址&comma;邮政编码</a>
					<div>
						 利用js正则表达式验证手机号,email地址,邮政编码.需要的朋友可以过来参考下,希望对大家有所帮助 手机号码的验证(13开头和158,159开头,共11位)  代码如下: var re; var  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArBoJp.html" rel="bookmark" class="title">电脑机箱漏电的原因及解决方法</a>
					<div>
						  电脑机箱是计算机不可缺少的配件,它起着固定.保护电脑各个部件的作用,此外,电脑机箱具有电磁辐射的屏蔽的重要作用.由于电脑机箱木有CPU.显卡.主板等配件发展快,所以在组装电脑中一直不被列为重点考虑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKW19M.html" rel="bookmark" class="title">电脑为什么重启出现黑屏&sol;蓝屏怎么办</a>
					<div>
						  方案一:进入安全模式禁用独立显卡驱动 1. 长按电源按钮关机; 2. 按电源按钮开机; 3. 重复步骤1~2三次; 4. 确认屏幕是否出现&quot;修复&quot;界面,如果有,点击&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGYOEp.html" rel="bookmark" class="title">拒绝他人的技巧：学会委婉拒绝赢得尊敬</a>
					<div>
						拒绝他人实在不是一件容易的事情.我们担心拒绝他人表示漠不关心,甚至自私,而我们可能害怕令别人灰心.此外,这可能是害怕被人误会,被讨厌,批评,可能失去交情,甚至遭人唾骂与仇视.很多人被迫同意每个请求,宁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kklVM.html" rel="bookmark" class="title">请问在oracle查询clob字段的内容怎么办呢？</a>
					<div>
						问题描述 我在ORACLE10G中,有个表的字段是文章的内容CLOB字段,我通过LIKE 查询这个字段的内容,但是非常非常的慢,怎么才能让它快起来啊?? 解决方案 建议使用全文检索(FULL TEXT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV02Bb.html" rel="bookmark" class="title">eclipse Juno Indigo Helios Galileo这几种版本的意思&lpar;转&rpar;</a>
					<div>
						Galileo Ganymede Europa 这些名字代表eclipse不同的版本  2001年11月7日 ,Eclipse 1.0发布   半年之后,2002年6月27日Eclipse进入了2.0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ1wmz.html" rel="bookmark" class="title">FrozenJS 针对移动端开发的 js 组件库</a>
					<div>
						什么是FrozenJS FrozenJS 是针对移动端开发的 js 组件库,其依赖 zepto.js 和 FrozenUI.FrozenJS 的所有组件均以 zepto 的插件的形式存在. Froze ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOleEQb.html" rel="bookmark" class="title">介绍XXTEA加密算法</a>
					<div>
						TEA算法是由剑桥大学计算机实验室的David Wheeler和Roger Needham于1994年发明,TEA是Tiny Encryption Algorithm的缩写,以加密解密速度快,实现简单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYXB7p.html" rel="bookmark" class="title">xcode-XCode7&period;3 （object-c）导入工程报头文件找不到</a>
					<div>
						问题描述 XCode7.3 (object-c)导入工程报头文件找不到 3C 这个工程是我冲一个XCode6中 copy 过来的,导入到我的新版本XCode7.3 的工具中,老是报头文件找不到.求各位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rrmkz.html" rel="bookmark" class="title">scatter&lpar;&rpar;里的参数问题，matplotlib包里的</a>
					<div>
						问题描述 scatter()里的参数问题,matplotlib包里的 解决方案 后面那两个参数应该怎么理解.效果图我也上. 右边是加了后面两个参数后的效果,个人猜测是把颜色给加上了.但是为什么要这么做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgREP1b.html" rel="bookmark" class="title">QQ粘虫病毒借美女图片盗号</a>
					<div>
						网友小强在QQ聊天时,突然收到女同学发来的消息&quot;这是我最近新拍的照片,发给你看看&quot;.小强经常和这位同学聊天,就没加思索地打开了这些&quot;相册&quot;文件,发现根本不是同学 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5gl9M.html" rel="bookmark" class="title">网络编程程序员看网络协议</a>
					<div>
						网络协议是指对于网络中传输的数据格式的规定.对于网络编程初学者来说,没有必要深入了解TCP/IP协议簇, 所以对于初学者来说去读大部头的&lt;TCP/IP协议&gt;也不是一件很合适的事情,因为深入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm2Xab.html" rel="bookmark" class="title">char-关于这个字符串中的1</a>
					<div>
						问题描述 关于这个字符串中的1 char str［］&quot;ssswilte1111wall&quot;中的1是代表什么 解决方案 1.字符数组str[ ] ? ? ? ? ? ?字符数组与普通数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7WNQp.html" rel="bookmark" class="title">节前上机&OpenCurlyDoubleQuote;玩一玩&rdquo;</a>
					<div>
						开课偏逢国庆假,对C++学习可不是件好事.想家的孩子也可怜,该放松时就放松.不过,节前欠下节后补,这笔债务不糊涂. 小长假,让人向往.不过,星期六要补下星期四的课,让我们赶上了,并且还是下午7.8节. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAVrob.html" rel="bookmark" class="title">奇怪的问题啊~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~</a>
					<div>
						问题描述 在VS里面网站一切正常,而用IIS运行的时候则登录不了(总是说用户名错误).网站用了成员管理.IIS也配置正确,请问如何解决? 解决方案 解决方案二:我不知道解决方案三:估计还是配置的问题解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNYq8M.html" rel="bookmark" class="title">当判断一个单元格是合并单元格时，怎么读取单元格的值呢</a>
					<div>
						问题描述 当判断一个单元格是合并单元格时,怎么读取单元格的值呢,我知道读取合并单元格的第一个单元格的值,但应该如何判断,如何知道哪个才是这个合并单元格的第一个单元格的值呀!?? 解决方案 解决方案二: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0ORmM.html" rel="bookmark" class="title">server03 iis6 下发布&period;NET4&period;0站点无法显示该页</a>
					<div>
						问题描述 server03iis6下发布.NET4.0站点无法显示该页无法找到该页您正在搜索的页面可能已经删除.更名或暂时不可用.----------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKeY6p.html" rel="bookmark" class="title">局域网内的权限设置</a>
					<div>
						问题描述 局域网内实现了部分机子能上网部分机子不能上网,其他外来机子不用更改路由设置就能上网?局域网内除了允许上网的机子可以上网外,其他所有端口都限制了,可是有的外来机子有时还是可以正常上网,有时又不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW8YGz.html" rel="bookmark" class="title">雅昌艺术联手淘宝近日推出&OpenCurlyDoubleQuote;淘宝・雅昌&rdquo;</a>
					<div>
						雅昌艺术联手淘宝近日推出&quot;淘宝・雅昌&quot;世界杯艺术礼物专场意外遇冷,流拍率超过60%.雅昌艺术网市场部总监程璐表示此次拍卖成交率不及预期. 据悉,本次&quot;淘宝・雅昌&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QPLaM.html" rel="bookmark" class="title">redis入门问题，求帮助</a>
					<div>
						问题描述 问题描述:模仿微博关注-粉丝 redis初步入门http://blog.nosqlfan.com/html/2938.html?ref=rediszt参考那个PHP的例子,我这个是java的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWmjAp.html" rel="bookmark" class="title">站长生涯：制造原创的四大法则</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 做网站最重要的是什么呢,内容,不管 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
